Subject: Re: CVS problem
From: Rico -mc- Gloeckner <[email-masked]>
To: "Fr?d?ric L. W. Meunier" <[email-masked]>
Cc: Charles Wilson <[email-masked]>, Rico -mc- Gloeckner <[email-masked]>, [email-masked]
Date: Fri, 17 Jan 2003 14:25:21 +0100

On Fri, Jan 17, 2003 at 11:14:37AM -0200, Fr?d?ric L. W. Meunier wrote:
> It does:
> 
> $ cvs -d :pserver:[email-masked]:/var/lib/cvs up
> ? prepare.new
> P AUTHORS
> P ChangeLog
> P doc/micqrc.5
> cvs server: cannot open directory /var/lib/cvs/micq/doc/html: No such file or directory
> cvs server: skipping directory doc/html
> P include/datatype.h
> P lang/.cvsignore
> ...

OH. it does skip the directory, that sounds fine to me. Ruediger
obvioulsy deleted that directory for some reason (eventually because it
moved to /web now)

> And a cvs co doesn't work:
> 
> According to http://www.micq.org/download.shtml.en I do
> 
> $ cvs -d :pserver:[email-masked]:/var/lib/cvs co micq
> cvs checkout: cannot open CVS/Entries for reading: No such file or directory
> cvs [checkout aborted]: no repository

Works for me [TM]. (I copy&pasted your Command)

I wonder what it seeks in CVS/Entries, thats a File which exists on
Clientside only, it stores which Files you already have and in which
version. A checkout should actually generate that file, while an update
should update it.

Serverside there is only CVSROOT/ which is important for the Server.

> Rico, are you using CVS 1.11.4 ? And what version were you
> using before you migrated the server ?

My Clients are 1.11.2-debian and 1.11.1p1 (OBSD Ports Collection)
The Server is 1.11.2-debian.

Clients are Debian Sid and OBSD 3.1-current, Server is Debian Testing.

Please let me know when i can be of further Help,
	-mc

-- 
| Rico -mc- Gloeckner 
| mv ~/.signature `finger [email-masked]`

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/